Retrieve Cancel Workflow Action Details
Once you’ve retrieved the available workflow actions, use this request to retrieve the details for a specific workflow action.
GET
/api/{version}/object/workflow/actions/{action}Headers
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
action | The name of the workflow action. To get this value, Retrieve Bulk Workflow Actions. In API v20.2, only cancelworkflows is supported. |
Request
Section link for Requestcurl -L -X GET -H 'Authorization: {SESSION_ID}’ \
'https://myvault.veevavault.com/api/v20.2/object/workflow/actions/cancelworkflows'Response
Section link for Response{
"responseStatus": "SUCCESS",
"data": {
"name": "cancelworkflows",
"controls": [
{
"prompts": [
{
"multi_value": true,
"label": "Workflow Ids",
"required": true,
"name": "workflow_ids"
}
],
"type": "field",
"label": "Fields"
}
]
}
}Response Details
Section link for Response DetailsOn SUCCESS, the response returns metadata for the specified workflow action, including the fields required to execute the action.
For each control, the following data may be returned:
| Name | Description |
|---|---|
label | UI label for the control. |
type | Type of control. |
prompts | The input prompts which accept values when initiating a workflow action. |
For each prompt, the following data may be returned: